Subject: Re: PostgreSQL and success of OSS

From: "Marc G. Fournier" <[email-masked]>
Date: Wed, 28 Jun 2006 14:40:44 -0300 (ADT)

Hi Brent ...

   I'm CC'ng in the -www group of PostgreSQL, since you are asking 
questions that will need to be pulled in from various sources ... and/or 
are difficult to answer over all ...

   The one that I can try and answer is the Developer Team Size, which is a 
# that is very hard to arrive at .. the 'clearly defined developers' are 
all listed at:

       http://www.postgresql.org/developer/bios

   Of which we have >50 ... but, this doesn't include everyone and anyone 
that has ever contributed a patch to the source tree ... our -hackers 
mailing list, where most, if not all, of our talks about development take 
place, there are over 1400 subscribers, so there are *alot* of ppl 
lurking, or, if not lurking, providing periodic comments concerning 
development ... not all of those are "coders" ...

On Wed, 28 Jun 2006, Brent Wilkins wrote:

> Hello Marc, I'm a computer science student at CSU working on a
> research project on the success of OSS.  Studies conducted in the past
> have identified several metrics such as downloads and developer team
> size as good indicators of success.  PostgreSQL is clearly a success
> and I would like to have access to data like download counts, and
> anything else that might help in order to try and identify objective
> measures which can hopefully be linked/related to subjective success.
> So, if possible please send me any data like the data typically
> available on Source Forge, and/or an email address of some one inside
> PostgreSQL who may be interested in helping.  Thanks.
>
> -- 
> A pessimist says the glass is half-empty. An optimist says the glass
> is half-full. An engineer recognizes that the glass is simply too big.
>

----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email . [email-masked]                              MSN . [email-masked]
Yahoo . yscrappy               Skype: hub.org        ICQ . 7615664

---

From: Josh Berkus <[email-masked]>
Date: Wed, 28 Jun 2006 13:20:19 -0700

Marc,

>    The one that I can try and answer is the Developer Team Size, which
> is a # that is very hard to arrive at .. the 'clearly defined
> developers' are all listed at:

I stick with Greg's estimate of "about 200" that he did for 7.4.  That 
included: 

core contributors
minor patch submitters
beta testers (the ones who submitted bug fixes)
key contributors to closely associated projects (like JDBC, ODBC, and 
OpenFTS)

It was a lot of research on his part which is why I don't want to do it 
again.

-- 
--Josh

Josh Berkus
PostgreSQL @ Sun
San Francisco

---

From: David Fetter <[email-masked]>
Date: Wed, 28 Jun 2006 13:26:39 -0700

On Wed, Jun 28, 2006 at 01:20:19PM -0700, Josh Berkus wrote:
> Marc,
> 
> > The one that I can try and answer is the Developer Team Size,
> > which is a # that is very hard to arrive at .. the 'clearly
> > defined developers' are all listed at:
> 
> It was a lot of research on his part which is why I don't want to do
> it again.

Also pertinent to such assessments is the Open Source Maturity Model
<http://www.seriouslyopen.org/nuke/html/index.php> which has some
interesting ways of measuring projects.  As you might guess,
PostgreSQL is right off the scale on every one of their metrics :)

Cheers,
D
-- 
David Fetter <[email-masked]> http://fetter.org/
phone: +1 415 235 3778        AIM: dfetter666
                              Skype: davidfetter

Remember to vote!

---

From: Robert Treat <[email-masked]>
Date: Thu, 29 Jun 2006 11:20:35 -0400

> It was a lot of research on his part which is why I don't want to do it

I wonder if that number would need to be bumped up in a rather handwavy manner 
(amybe +50) on the grounds of companies like enterprisedb, fujitsu, 
greenplum, and sun, which I would guess have developers working behind the 
scenes on issues thier companies care most about, which then get filtered up 
through a few individuals to the community at large.  Additionally we also 
have more "closely tied" projects like slony and npgsql to draw in more 
people.  Thoughts? 

-- 
Robert Treat
Build A Brighter Lamp :: Linux Apache {middleware} PostgreSQL

---

From: Josh Berkus <[email-masked]>
Date: Thu, 29 Jun 2006 11:24:23 -0700

Robert,

> I wonder if that number would need to be bumped up in a rather handwavy
> manner (amybe +50) on the grounds of companies like enterprisedb,
> fujitsu, greenplum, and sun, which I would guess have developers working
> behind the scenes on issues thier companies care most about, which then
> get filtered up through a few individuals to the community at large. 
> Additionally we also have more "closely tied" projects like slony and
> npgsql to draw in more people.  Thoughts?

No, I think if we change the numbers, we need to do a full re-count.

-- 
--Josh

Josh Berkus
PostgreSQL @ Sun
San Francisco

---

From: "Guido Barosio" <[email-masked]>
Date: Thu, 29 Jun 2006 15:34:04 -0300

+1

What about something like (see below)  to get a first snapshot:

http://statcvs.sourceforge.net/

g.-

On 6/29/06, Josh Berkus <[email-masked]> wrote:
> ---------------------------(end of broadcast)---------------------------
> TIP 5: don't forget to increase your free space map settings
>

-- 
Guido Barosio
-----------------------
http://www.globant.com
[email-masked]